--//

EXEC dbo._spKartrisDB_DisableAllTriggers;

update tblKartrisUsers set U_CustomerGroupID=0 where U_CustomerGroupID is null
update tblKartrisUsers set U_IsAffiliate=0 where U_IsAffiliate is null
update tblKartrisUsers set U_ML_SendMail=0 where U_ML_SendMail is null
update tblKartrisUsers set U_AffiliateCommission=0 where U_AffiliateCommission is null
update tblKartrisUsers set U_CustomerDiscount=0 where U_CustomerDiscount is null
update tblKartrisUsers set U_DefBillingAddressID=ADR.ADR_ID,U_DefShippingAddressID=ADR.ADR_ID from tblKartrisAddresses ADR where tblKartrisUsers.U_ID=ADR.ADR_UserID;
GO

----------------------------------------------------------------------------------------------
update tblKartrisOrders set O_AffiliatePaymentID=0 where O_AffiliatePaymentID is null
update tblKartrisOrders set O_ReferenceCode='' where O_ReferenceCode is null
update tblKartrisOrders  set O_ShippingPrice=0 where O_ShippingPrice is null
update tblKartrisOrders  set O_ShippingTax=0 where O_ShippingTax is null
update tblKartrisOrders  set O_DiscountPercentage=0 where O_DiscountPercentage is null
update tblKartrisOrders  set O_AffiliatePercentage=0 where O_AffiliatePercentage is null
update tblKartrisOrders  set O_PurchaseOrderNo='' where O_PurchaseOrderNo is null
update tblKartrisOrders  set O_SecurityID=0 where O_SecurityID is null
update tblKartrisOrders  set O_Status='' where O_Status is null
update tblKartrisOrders  set O_WishListID=0 where O_WishListID is null
update tblKartrisOrders  set O_CouponCode='' where O_CouponCode is null
update tblKartrisOrders  set O_CouponDiscountTotal=0 where O_CouponDiscountTotal is null
update tblKartrisOrders  set O_TaxDue=0 where O_TaxDue is null
update tblKartrisOrders  set O_OrderHandlingCharge=0 where O_OrderHandlingCharge is null
update tblKartrisOrders  set O_OrderHandlingChargeTax=0 where O_OrderHandlingChargeTax is null
update tblKartrisOrders  set O_PromotionDiscountTotal=0 where O_PromotionDiscountTotal is null
update tblKartrisOrders  set O_PromotionDescription='' where O_PromotionDescription is null;
update tblKartrisOrders  set O_Cancelled=0 where O_Cancelled is null;
update tblKartrisOrders  set O_TotalPrice=0 where O_TotalPrice is null;
GO

----------------------------------------------------------------------------------------------
update tblKartrisPages set PAGE_DateCreated = getdate() where PAGE_DateCreated is null;
update tblKartrisPages set PAGE_LastUpdated = getdate() where PAGE_LastUpdated is null;
GO

----------------------------------------------------------------------------------------------
update tblKartrisConfig set CFG_VersionAdded =1  where CFG_VersionAdded is null;
GO

----------------------------------------------------------------------------------------------
update tblKartrisNews set N_DateCreated = getdate()
update tblKartrisNews set N_LastUpdated = getdate();
GO

----------------------------------------------------------------------------------------------
update tblKartrisDestination set D_Tax = 0 where D_Tax is null;
GO

----------------------------------------------------------------------------------------------
update tblKartrisAddresses set ADR_Label='' where ADR_Label is null
update tblKartrisAddresses set ADR_Name='' where ADR_Name is null
update tblKartrisAddresses set ADR_Company='' where ADR_Company is null
update tblKartrisAddresses set ADR_StreetAddress='' where ADR_StreetAddress is null
update tblKartrisAddresses set ADR_TownCity='' where ADR_TownCity is null
update tblKartrisAddresses set ADR_PostCode='' where ADR_PostCode is null
update tblKartrisAddresses set ADR_County='' where ADR_County is null
update tblKartrisAddresses set ADR_Country='' where ADR_Country is null
update tblKartrisAddresses set ADR_Telephone='' where ADR_Telephone is null
update tblKartrisAddresses set ADR_Type='u';
GO

----------------------------------------------------------------------------------------------
update tblKartrisInvoiceRows set IR_TaxPerItem=0 where IR_TaxPerItem is null
update tblKartrisInvoiceRows set IR_OptionsText='' where IR_OptionsText is null;
GO

----------------------------------------------------------------------------------------------
delete from tblKartrisLanguages where LANG_BackName = '' OR LANG_BackName is null OR LANG_FrontName = '' OR LANG_FrontName is null
update tblKartrisLanguages set LANG_Culture ='en-GB' where LANG_Culture is null or LANG_Culture=''
update tblKartrisLanguages set LANG_UICulture ='en' where LANG_UICulture is null or LANG_UICulture=''
update tblKartrisLanguages set LANG_Theme ='Kartris' where LANG_Theme is null or LANG_Theme=''
update tblKartrisLanguages set LANG_DateFormat ='d MMM yy'
update tblKartrisLanguages set LANG_DateAndTimeFormat ='d MMM yy, HH:mm';
GO

----------------------------------------------------------------------------------------------
update tblKartrisCategories set CAT_OrderProductsBy='d' where CAT_OrderProductsBy is null
update tblKartrisCategories set CAT_ProductsSortDirection='a' where CAT_ProductsSortDirection is null;
GO

----------------------------------------------------------------------------------------------
update tblKartrisProductOptionGroupLink set P_OPTG_OrderByValue=0 where P_OPTG_OrderByValue is null;
GO

----------------------------------------------------------------------------------------------
update tblKartrisProductOptionLink set P_OPT_PriceChange=0 where P_OPT_PriceChange is null
update tblKartrisProductOptionLink set P_OPT_WeightChange=0 where P_OPT_WeightChange is null;
GO

----------------------------------------------------------------------------------------------
update tblKartrisVersions set V_Type='b' where V_Type='o';
update tblKartrisVersions set V_CustomizationType='n' where V_CustomizationType is null;
update tblKartrisVersions set V_Live = 0 where V_Price is null;
update tblKartrisVersions set V_OrderByValue = 1 where V_OrderByValue is null;
GO

----------------------------------------------------------------------------------------------
update tblKartrisProducts set P_VersionDisplayType='p' where P_VersionDisplayType='o';
update tblKartrisProducts set P_VersionDisplayType='o' where P_VersionDisplayType in ('l','g');
update tblKartrisProducts set P_VersionDisplayType='o' where P_Type='o';
GO

----------------------------------------------------------------------------------------------
update tblKartrisProductCategoryLink set PCAT_OrderNo = 1 WHERE PCAT_OrderNo is null;
GO

----------------------------------------------------------------------------------------------
update tblKartrisCategoryHierarchy set CH_OrderNo = 1 WHERE CH_OrderNo is null;
GO

----------------------------------------------------------------------------------------------
update tblKartrisLogins set LOGIN_EmailAddress = '' where LOGIN_EmailAddress is null
update tblKartrisLogins set LOGIN_Tickets = 1 where LOGIN_Tickets is null;
GO

----------------------------------------------------------------------------------------------
update [dbo].[tblKartrisCurrencies] set [CUR_ISOCodeNumeric] = '826', [CUR_RoundNumbers] = 2 where [CUR_ISOCode] = 'GBP';
update [dbo].[tblKartrisCurrencies] set [CUR_ISOCodeNumeric] = '840', [CUR_RoundNumbers] = 2 where [CUR_ISOCode] = 'USD';
update [dbo].[tblKartrisCurrencies] set [CUR_ISOCodeNumeric] = '978', [CUR_RoundNumbers] = 2 where [CUR_ISOCode] = 'EUR';
update [dbo].[tblKartrisCurrencies] set [CUR_ISOCodeNumeric] = '392', [CUR_RoundNumbers] = 2 where [CUR_ISOCode] = 'JPY';
GO

EXEC dbo._spKartrisDB_EnableAllTriggers;


